net.minecraftforge.client

## Class ForgeHooksClient

- java.lang.Object
- - net.minecraftforge.client.ForgeHooksClient

-     public class ForgeHooksClient
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ForgeHooksClient()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `dispatchRenderLast(RenderGlobal context, float partialTicks)`
    `static ModelBiped` | `getArmorModel(EntityLiving entityLiving, ItemStack itemStack, int slotID, ModelBiped _default)`
    `static String` | `getArmorTexture(Entity entity, ItemStack armor, String _default, int slot, int layer)`
    `static String` | `getArmorTexture(ItemStack armor, String _default)` Deprecated.
    `static boolean` | `onDrawBlockHighlight(RenderGlobal context, EntityPlayer player, MovingObjectPosition target, int subID, ItemStack currentItem, float partialTicks)`
    `static void` | `onTextureLoad(String texture, ITexturePack pack)`
    `static void` | `onTextureLoadPre(String texture)` This is added for Optifine's convenience.
    `static void` | `onTextureStitchedPost(TextureMap map)`
    `static void` | `onTextureStitchedPre(TextureMap map)`
    `static void` | `orientBedCamera(Minecraft mc, EntityLiving entity)`
    `static boolean` | `renderEntityItem(EntityItem entity, ItemStack item, float bobing, float rotation, Random random, RenderEngine engine, RenderBlocks renderBlocks)`
    `static void` | `renderEquippedItem(IItemRenderer customRenderer, RenderBlocks renderBlocks, EntityLiving entity, ItemStack item)`
    `static boolean` | `renderInventoryItem(RenderBlocks renderBlocks, RenderEngine engine, ItemStack item, boolean inColor, float zLevel, float x, float y)`
    `static void` | `setRenderPass(int pass)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ForgeHooksClient

          public ForgeHooksClient()

  - ### Method Detail

    - #### getArmorTexture

          @Deprecated
          public static String getArmorTexture(ItemStack armor,
                                          String _default)

      Deprecated.

    - #### getArmorTexture

          public static String getArmorTexture(Entity entity,
                               ItemStack armor,
                               String _default,
                               int slot,
                               int layer)

    - #### renderEntityItem

          public static boolean renderEntityItem(EntityItem entity,
                                 ItemStack item,
                                 float bobing,
                                 float rotation,
                                 Random random,
                                 RenderEngine engine,
                                 RenderBlocks renderBlocks)

    - #### renderInventoryItem

          public static boolean renderInventoryItem(RenderBlocks renderBlocks,
                                    RenderEngine engine,
                                    ItemStack item,
                                    boolean inColor,
                                    float zLevel,
                                    float x,
                                    float y)

    - #### renderEquippedItem

          public static void renderEquippedItem(IItemRenderer customRenderer,
                                RenderBlocks renderBlocks,
                                EntityLiving entity,
                                ItemStack item)

    - #### orientBedCamera

          public static void orientBedCamera(Minecraft mc,
                             EntityLiving entity)

    - #### onDrawBlockHighlight

          public static boolean onDrawBlockHighlight(RenderGlobal context,
                                     EntityPlayer player,
                                     MovingObjectPosition target,
                                     int subID,
                                     ItemStack currentItem,
                                     float partialTicks)

    - #### dispatchRenderLast

          public static void dispatchRenderLast(RenderGlobal context,
                                float partialTicks)

    - #### onTextureLoad

          public static void onTextureLoad(String texture,
                           ITexturePack pack)

    - #### onTextureStitchedPre

          public static void onTextureStitchedPre(TextureMap map)

    - #### onTextureStitchedPost

          public static void onTextureStitchedPost(TextureMap map)

    - #### onTextureLoadPre

          public static void onTextureLoadPre(String texture)

      This is added for Optifine's convenience. And to explode if a ModMaker is developing.
      Parameters:
        `texture` -

    - #### setRenderPass

          public static void setRenderPass(int pass)

    - #### getArmorModel

          public static ModelBiped getArmorModel(EntityLiving entityLiving,
                                 ItemStack itemStack,
                                 int slotID,
                                 ModelBiped _default)